[SciPy-user] problem on os X with SciPy version 0.7.0.dev5151

Gideon Simpson simpson@math.toronto....
Wed Nov 19 21:50:43 CST 2008


Just pulled the latest version and built it, and while running the  
test suite, I got the following error:


Python 2.5.2 (r252:60911, Jul 16 2008, 10:58:19)
[GCC 4.0.1 (Apple Inc. build 5484)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
 >>> import scipy
 >>> scipy.test()
Running unit tests for scipy
NumPy version 1.2.1
NumPy is installed in /opt/lib/python2.5/site-packages/numpy
SciPy version 0.7.0.dev5151
SciPy is installed in /opt/lib/python2.5/site-packages/scipy
Python version 2.5.2 (r252:60911, Jul 16 2008, 10:58:19) [GCC 4.0.1  
(Apple Inc. build 5484)]
nose version 0.10.4
/opt/lib/python2.5/site-packages/scipy/sparse/linalg/dsolve/ 
linsolve.py:20: DeprecationWarning: scipy.sparse.linalg.dsolve.umfpack  
will be removed, install scikits.umfpack instead
   ' install scikits.umfpack instead', DeprecationWarning )
/opt/lib/python2.5/site-packages/scipy/linsolve/__init__.py:4:  
DeprecationWarning: scipy.linsolve has moved to  
scipy.sparse.linalg.dsolve
   warn('scipy.linsolve has moved to scipy.sparse.linalg.dsolve',  
DeprecationWarning)
..............[[   2.    5.  138.    2.]
  [   3.    4.  219.    2.]
  [   0.    7.  255.    3.]
  [   1.    8.  268.    4.]
  [   6.    9.  295.    6.]] [[   2.    5.  138.    2.]
  [   3.    4.  219.    2.]
  [   0.    7.  255.    3.]
  [   1.    8.  268.    4.]
  [   6.    9.  295.    6.]]
..0.0
.3.33333332492e-06
.3.32912455292e-06
.3.32912455292e-06
.1.09653997882e-07
.1.98734938506e-07
.4.46252451203e-06
.1.01277823406e-06
.0.0
.3.33333335334e-06
.3.33333335334e-06
.3.33333335334e-06
.......................(array([53, 55, 56]), array([2, 3, 1]))  
(array([53, 55, 56]), array([2, 3, 1])) [2 2 2 2 2 2 2 2 2 2 3 3 3 3 3  
3 3 3 3 3 1 1 1 1 1 1 1 1 1 1]
..7.54931229197e-08
.7.54931229197e-08
...1.09653997882e-07
..7.54931229197e-08
......[[  3   6 138]
  [  4   5 219]
  [  1   8 255]
  [  2   9 268]
  [  7  10 295]] [[   3.    6.  138.]
  [   4.    5.  219.]
  [   1.    8.  255.]
  [   2.    9.  268.]
  [   7.   10.  295.]]
............................................................................../opt 
/lib/python2.5/site-packages/scipy/interpolate/fitpack2.py:488:  
UserWarning:
The coefficients of the spline returned have been computed as the
minimal norm least-squares solution of a (numerically) rank deficient
system (deficiency=7). If deficiency is large, the results may be
inaccurate. Deficiency may strongly depend on the value of eps.
   warnings.warn(message)
..../opt/lib/python2.5/site-packages/scipy/interpolate/fitpack2.py: 
429: UserWarning:
The required storage space exceeds the available storage space: nxest
or nyest too small, or s too small.
The weighted least-squares spline corresponds to the current set of
knots.
   warnings.warn(message)
......................................................................................................................................Warning 
: 1000000 bytes requested, 20 bytes read.
./opt/lib/python2.5/site-packages/numpy/lib/utils.py:110:  
DeprecationWarning: write_array is deprecated
   warnings.warn(str1, DeprecationWarning)
/opt/lib/python2.5/site-packages/numpy/lib/utils.py:110:  
DeprecationWarning: read_array is deprecated
   warnings.warn(str1, DeprecationWarning)
....................../opt/lib/python2.5/site-packages/numpy/lib/ 
utils.py:110: DeprecationWarning: npfile is deprecated
   warnings.warn(str1, DeprecationWarning)
............................caxpy:n=4
..caxpy:n=3
....ccopy:n=4
..ccopy:n=3
.............cscal:n=4
....cswap:n=4
..cswap:n=3
.....daxpy:n=4
..daxpy:n=3
....dcopy:n=4
..dcopy:n=3
.............dscal:n=4
....dswap:n=4
..dswap:n=3
.....saxpy:n=4
..saxpy:n=3
....scopy:n=4
..scopy:n=3
.............sscal:n=4
....sswap:n=4
..sswap:n=3
.....zaxpy:n=4
..zaxpy:n=3
....zcopy:n=4
..zcopy:n=3
.............zscal:n=4
....zswap:n=4
..zswap:n=3
..SSSSSS......SSSSSS......SSSS....NO ATLAS INFO AVAILABLE
.........................................
****************************************************************
WARNING: cblas module is empty
-----------
See scipy/INSTALL.txt for troubleshooting.
Notes:
* If atlas library is not found by numpy/distutils/system_info.py,
   then scipy uses fblas instead of cblas.
****************************************************************

................S................................................../ 
opt/lib/python2.5/site-packages/scipy/linalg/decomp.py:1173:  
DeprecationWarning: qr econ argument will be removed after scipy 0.7.  
The economy transform will
then be available through the mode='economic' argument.
   then be available through the mode='economic' argument.""",  
DeprecationWarning)
..........................................................................................Parameter 
  17 to routine CSTEGR was incorrect
Mac OS BLAS parameter error in CSTEGR, parameter #0, (unavailable), is 0


-gideon



More information about the SciPy-user mailing list